FREDFRED docs

Créer une carte postale A6 à partir d’une image

Image PNG, JPEG ou WebP de 1240 × 1748 px (portrait) ou 1748 × 1240 px (paysage). Orientation détectée automatiquement. Retourne l’insert enregistré et son `id`, à utiliser dans `insert_id` lors de la commande.

Publié par FRED

POST
/v1/brands/{brand_id}/inserts/upload

Image PNG, JPEG ou WebP de 1240 × 1748 px (portrait) ou 1748 × 1240 px (paysage). Orientation détectée automatiquement. Retourne l’insert enregistré et son id, à utiliser dans insert_id lors de la commande.

Autorisation

ApiKeyAuth
X-API-Key<token>

Clé créée dans le dashboard, à conserver sur votre serveur.

Emplacement: header

Paramètres de chemin

brand_id*Brand Id

Corps de la requête

multipart/form-data

Définitions TypeScript

Utiliser le type request body en TypeScript.

Corps de la réponse

application/json

application/json

curl -X POST "https://example.com/v1/brands/string/inserts/upload" \  -F name="string" \  -F file="string"
{  "design": {    "version": 1,    "template": "string",    "orientation": "landscape",    "background": "string",    "accent": "string",    "pattern": "checker",    "layers": [      {        "id": "string",        "type": "image",        "x": 0,        "y": 0,        "width": 1,        "height": 1,        "rotation": 0,        "color": "#222222",        "text": "",        "font": "bold",        "font_size": 80,        "align": "center",        "shape": "circle",        "file_id": "string"      }    ]  },  "id": "string",  "object": "insert",  "brand_id": "string",  "name": "string",  "kind": "string",  "artwork_file_id": "string",  "artwork_url": "string",  "width_mm": 0,  "height_mm": 0,  "notes": "string",  "version": 0,  "lineage_id": "string",  "active": true,  "created_at": "string",  "specification": {}}

Cette page vous a-t-elle été utile ?